---
name: "mpip"
section: "4"
platform: "openbsd"
package: "man"
version: "8.0-current-20261101"
release: "OpenBSD 8.0-current (2026-11-01)"
platforms: ["openbsd"]
url: "https://new.carta.tech/mpip"
---

# mpip(4)

MPLS IP layer 2 pseudowire

## NAME

**mpip** – MPLS IP layer 2 pseudowire

## SYNOPSIS

**pseudo-device mpip**

## DESCRIPTION

The **mpip** interface is used to create an MPLS IP layer 2 tunnel between two points.

An **mpip** interface can be created at runtime using the **ifconfig** **mpip***N* **create** command, or by setting up a [hostname.if(5)](/hostname.if/5.md) configuration file for [netstart(8)](/netstart/8.md). The interface itself can be configured with [ifconfig(8)](/ifconfig/8.md).

The local MPLS label, the remote MPLS label and neighbor, use of pseudowire control words, or flow-aware transport are normally configured after negotiation with a remote system using [ldpd(8)](/ldpd/8.md), but it is also possible to configure them manually using [ifconfig(8)](/ifconfig/8.md).

## EXAMPLES

Create a pseudowire with local label 20 and remote label 21 on neighbor 10.254.0.1:

```
# ifconfig mpip5 create
# ifconfig mpip5 mplslabel 20 pweneighbor 21 10.254.0.1
# ifconfig mpip5 up
```

Disable the use of the Pseudowire Emulation Edge-to-Edge (PWE3) Control Word, and enable the use of a Flow label for Flow-Aware Transport of Pseudowires:

```
# ifconfig mpip5 -pwecw pwefat
```

## SEE ALSO

[mpe(4)](/mpe/4.md), [mpw(4)](/mpw/4.md), [hostname.if(5)](/hostname.if/5.md), [ifconfig(8)](/ifconfig/8.md), [ldpd(8)](/ldpd/8.md), [netstart(8)](/netstart/8.md)

## STANDARDS

S. Bryant and P. Pate, *Pseudo Wire Emulation Edge-to-Edge (PWE3) Architecture*, RFC 3985, March 2005.

S. Bryant, G. Swallow, and L. Martini, *Pseudowire Emulation Edge-to-Edge (PWE3) Control Word for Use over an MPLS PSN*, RFC 4385, February 2005.

S. Bryant, C. Filsfils, U. Drafz, V. Kompella, J. Regan, and S. Amante, *Flow-Aware Transport of Pseudowires over an MPLS Packet Switched Network*, RFC 6391, November 2011.

## HISTORY

The **mpip** kernel interface first appeared in OpenBSD 6.5.
